Skip to main content
`Ctrl`+`K`

# DMPlexRestoreFaceGeometry

Restore the field values values for a chunk of faces

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreFaceGeometry(DM dm, PetscInt fStart, PetscInt fEnd, Vec faceGeometry, Vec cellGeometry, PetscInt *Nface, PetscFVFaceGeom *fgeom[], PetscReal *vol[])

## Input Parameters

- dm - The `DM`

- fStart - The first face to include

- fEnd - The first face to exclude

- faceGeometry - A local vector with face geometry

- cellGeometry - A local vector with cell geometry

## Output Parameters

- Nface - The number of faces with field values

- fgeom - The face centroid and normals

- vol - The cell volumes

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetFaceFields()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages